cascading.flow.hadoop.stream

## Class HadoopGroupGate

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<cascading.tuple.TupleEntry,cascading.flow.stream.duct.Grouping<cascading.tuple.TupleEntry,cascading.tuple.TupleEntryIterator>>
      - - cascading.flow.stream.element.GroupingSpliceGate
        - - cascading.flow.hadoop.stream.HadoopGroupGate

- All Implemented Interfaces:
    cascading.flow.stream.duct.Collapsing, cascading.flow.stream.duct.Window, cascading.flow.stream.element.ElementDuct

      public abstract class HadoopGroupGate
      extends cascading.flow.stream.element.GroupingSpliceGate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `cascading.flow.stream.element.GroupingSpliceGate.DelegatedTuple`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HadoopGroupByClosure` | `closure`
    `protected OutputCollector` | `collector`

    - ### Fields inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `groupComparators, groupHasher, grouping, groupSortTuple, groupTuple, keyBuilder, keyEntry, keyFields, keyTuple, nullsAreNotEqual, sortBuilder, sortFields, tupleEntryIterator, valueComparators, valuesBuilder, valuesFields, valueTuple`

    - ### Fields inherited from class cascading.flow.stream.element.SpliceGate

      `flowProcess, incomingScopes, outgoingScopes, role, splice`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopGroupGate(cascading.flow.FlowProcess flowProcess, cascading.pipe.Splice splice, cascading.flow.stream.graph.IORole role)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(cascading.tuple.Tuple key, Iterator<cascading.tuple.Tuple>[] values)`
    `void` | `bind(cascading.flow.stream.graph.StreamGraph streamGraph)`
    `void` | `complete(cascading.flow.stream.duct.Duct previous)`
    `protected abstract HadoopGroupByClosure` | `createClosure()`
    `protected abstract OutputCollector` | `createOutputCollector()`
    `void` | `prepare()`
    `void` | `receive(cascading.flow.stream.duct.Duct previous, int ordinal, cascading.tuple.TupleEntry incomingEntry)`
    `void` | `start(cascading.flow.stream.duct.Duct previous)`
    `protected abstract cascading.tuple.Tuple` | `unwrapGrouping(cascading.tuple.Tuple key)`
    `protected abstract void` | `wrapGroupingAndCollect(cascading.flow.stream.duct.Duct previous, int ordinal, cascading.tuple.Tuple valuesTuple, cascading.tuple.Tuple groupKey)`

    - ### Methods inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `cleanup, createDefaultNarrowBuilder, createNarrowBuilder, createNulledBuilder, getDelegatedTuple, getKeyComparator, getNumDeclaredIncomingBranches, initComparators, initialize`

    - ### Methods inherited from class cascading.flow.stream.element.SpliceGate

      `equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, getSplice, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### closure

          protected HadoopGroupByClosure closure

    - #### collector

          protected OutputCollector collector

  - ### Constructor Detail

    - #### HadoopGroupGate

          public HadoopGroupGate(cascading.flow.FlowProcess flowProcess,
                                 cascading.pipe.Splice splice,
                                 cascading.flow.stream.graph.IORole role)

  - ### Method Detail

    - #### bind

          public void bind(cascading.flow.stream.graph.StreamGraph streamGraph)

      Overrides:
        `bind` in class `cascading.flow.stream.duct.Duct<cascading.tuple.TupleEntry,cascading.flow.stream.duct.Grouping<cascading.tuple.TupleEntry,cascading.tuple.TupleEntryIterator>>`

    - #### prepare

          public void prepare()

      Overrides:
        `prepare` in class `cascading.flow.stream.duct.Duct<cascading.tuple.TupleEntry,cascading.flow.stream.duct.Grouping<cascading.tuple.TupleEntry,cascading.tuple.TupleEntryIterator>>`

    - #### createOutputCollector

          protected abstract OutputCollector createOutputCollector()

    - #### start

          public void start(cascading.flow.stream.duct.Duct previous)

      Overrides:
        `start` in class `cascading.flow.stream.duct.Duct<cascading.tuple.TupleEntry,cascading.flow.stream.duct.Grouping<cascading.tuple.TupleEntry,cascading.tuple.TupleEntryIterator>>`

    - #### receive

          public void receive(cascading.flow.stream.duct.Duct previous,
                              int ordinal,
                              cascading.tuple.TupleEntry incomingEntry)

      Specified by:
        `receive` in class `cascading.flow.stream.duct.Duct<cascading.tuple.TupleEntry,cascading.flow.stream.duct.Grouping<cascading.tuple.TupleEntry,cascading.tuple.TupleEntryIterator>>`

    - #### complete

          public void complete(cascading.flow.stream.duct.Duct previous)

      Overrides:
        `complete` in class `cascading.flow.stream.duct.Duct<cascading.tuple.TupleEntry,cascading.flow.stream.duct.Grouping<cascading.tuple.TupleEntry,cascading.tuple.TupleEntryIterator>>`

    - #### accept

          public void accept(cascading.tuple.Tuple key,
                             Iterator<cascading.tuple.Tuple>[] values)

    - #### createClosure

          protected abstract HadoopGroupByClosure createClosure()

    - #### wrapGroupingAndCollect

          protected abstract void wrapGroupingAndCollect(cascading.flow.stream.duct.Duct previous,
                                                         int ordinal,
                                                         cascading.tuple.Tuple valuesTuple,
                                                         cascading.tuple.Tuple groupKey)
                                                  throws IOException

      Throws:
        `IOException`

    - #### unwrapGrouping

          protected abstract cascading.tuple.Tuple unwrapGrouping(cascading.tuple.Tuple key)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.